SitePoint Sponsor

User Tag List

Results 1 to 3 of 3

Thread: PHp4 and PHP5

  1. #1
    SitePoint Guru
    Join Date
    Jan 2005
    Location
    USA
    Posts
    633
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    PHp4 and PHP5

    HI GUys

    I currently run php version 4 ++ on a xp machine.I would like to keep
    version 4 and also install version 5 and play around a bit


    Is this possible and if so how would I do that please

    Thanks
    DD

  2. #2
    SitePoint Wizard silver trophy
    Join Date
    Mar 2006
    Posts
    6,132
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    the xampp package supports this. they include a .bat script which, when ran, will toggle between php4 and 5. you can either use that, or just use it to see how they did it.

    its also possible to just have certain file extensions use php5, for example, .php5

  3. #3
    SitePoint Wizard silver trophybronze trophy Cups's Avatar
    Join Date
    Oct 2006
    Location
    France, deep rural.
    Posts
    6,869
    Mentioned
    17 Post(s)
    Tagged
    1 Thread(s)
    Get a copy of Upgrading to PHP5 by Trachtenberg, he tells you how to do it.

    "...one version as a module and another as a cgi.... the cgi version of PHP lacks certain features included in the apache module" then points to an appendix.

    Great book, small, cheap, well written and he explains all the new features in a really nice way. Turned me on to oop too - mind you PHP is 5.2 now and there are some things he doesnt deal with, PDO and APC caching for 2.


Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •